/**
 * Generated by @openapi-codegen
 *
 * @version 1.0.0
 */
import * as reactQuery from '@tanstack/react-query';

import { Context, useContext } from './context';
import type * as Fetcher from './fetcher';
import { fetch } from './fetcher';
import type * as Schemas from './schemas';
import { Category } from '@aei/types';

export type ApiCategoriesGetCollectionError = Fetcher.ErrorWrapper<undefined>;

export type ApiCategoriesGetCollectionResponse = Category[];

export type ApiCategoriesGetCollectionVariables = Context['fetcherOptions'];

/**
 * Retrieves the collection of Category resources.
 */
export const fetchApiCategoriesGetCollection = (variables: ApiCategoriesGetCollectionVariables, signal?: AbortSignal) =>
  fetch<ApiCategoriesGetCollectionResponse, ApiCategoriesGetCollectionError, undefined, {}, {}, {}>({
    url: '/categories',
    method: 'get',
    ...variables,
    signal,
  });

export type ApiCommentsPostError = Fetcher.ErrorWrapper<undefined>;

export type ApiCommentsPostVariables = {
  body: Schemas.CommentCommentPost;
} & Context['fetcherOptions'];

/**
 * Creates a Comment resource.
 */
export const fetchApiCommentsPost = (variables: ApiCommentsPostVariables, signal?: AbortSignal) =>
  fetch<Schemas.Comment, ApiCommentsPostError, Schemas.CommentCommentPost, {}, {}, {}>({ url: '/comments', method: 'post', ...variables, signal });

/**
 * Creates a Comment resource.
 */
export const useApiCommentsPost = (
  options?: Omit<reactQuery.UseMutationOptions<Schemas.Comment, ApiCommentsPostError, ApiCommentsPostVariables>, 'mutationFn'>
) => {
  const { fetcherOptions } = useContext();
  return reactQuery.useMutation<Schemas.Comment, ApiCommentsPostError, ApiCommentsPostVariables>({
    mutationFn: (variables: ApiCommentsPostVariables) => fetchApiCommentsPost({ ...fetcherOptions, ...variables }),
    ...options,
  });
};

export type ApiEmployersGetCollectionError = Fetcher.ErrorWrapper<undefined>;

export type ApiEmployersGetCollectionResponse = Schemas.EmployerEmployerViewEmployerGet[];

export type ApiEmployersGetCollectionVariables = Context['fetcherOptions'];

/**
 * Retrieves the collection of Employer resources.
 */
export const fetchApiEmployersGetCollection = (variables: ApiEmployersGetCollectionVariables, signal?: AbortSignal) =>
  fetch<ApiEmployersGetCollectionResponse, ApiEmployersGetCollectionError, undefined, {}, {}, {}>({
    url: '/employers',
    method: 'get',
    ...variables,
    signal,
  });

/**
 * Retrieves the collection of Employer resources.
 */
export const useApiEmployersGetCollection = <TData = ApiEmployersGetCollectionResponse>(
  variables: ApiEmployersGetCollectionVariables,
  options?: Omit<reactQuery.UseQueryOptions<ApiEmployersGetCollectionResponse, ApiEmployersGetCollectionError, TData>, 'queryKey' | 'queryFn'>
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } = useContext(options);
  return reactQuery.useQuery<ApiEmployersGetCollectionResponse, ApiEmployersGetCollectionError, TData>({
    queryKey: queryKeyFn({ path: '/employers', operationId: 'apiEmployersGetCollection', variables }),
    queryFn: ({ signal }) => fetchApiEmployersGetCollection({ ...fetcherOptions, ...variables }, signal),
    ...options,
    ...queryOptions,
  });
};

export type ApiEmployersEmployerIdactiveAgentsGetCollectionPathParams = {
  /**
   * User identifier
   */
  employerId: string;
};

export type ApiEmployersEmployerIdactiveAgentsGetCollectionQueryParams = {
  active?: boolean;
  ['active[]']?: boolean[];
  /**
   * Filter on a role
   */
  roles?: string;
  /**
   * Filter on a role
   */
  ['roles[]']?: string;
};

export type ApiEmployersEmployerIdactiveAgentsGetCollectionError = Fetcher.ErrorWrapper<undefined>;

export type ApiEmployersEmployerIdactiveAgentsGetCollectionResponse = Schemas.UserUserViewAgentGetCollection[];

export type ApiEmployersEmployerIdactiveAgentsGetCollectionVariables = {
  pathParams: ApiEmployersEmployerIdactiveAgentsGetCollectionPathParams;
  queryParams?: ApiEmployersEmployerIdactiveAgentsGetCollectionQueryParams;
} & Context['fetcherOptions'];

/**
 * Retrieves the collection of User resources.
 */
export const fetchApiEmployersEmployerIdactiveAgentsGetCollection = (
  variables: ApiEmployersEmployerIdactiveAgentsGetCollectionVariables,
  signal?: AbortSignal
) =>
  fetch<
    ApiEmployersEmployerIdactiveAgentsGetCollectionResponse,
    ApiEmployersEmployerIdactiveAgentsGetCollectionError,
    undefined,
    {},
    ApiEmployersEmployerIdactiveAgentsGetCollectionQueryParams,
    ApiEmployersEmployerIdactiveAgentsGetCollectionPathParams
  >({ url: '/employers/{employerId}/active-agents', method: 'get', ...variables, signal });

export type ApiDashboardMetricsGetPathParams = {
  /**
   * Employer identifier
   */
  employerId: number;
};

export type ApiDashboardMetricsGetVariables = {
  pathParams: ApiDashboardMetricsGetPathParams;
} & Context['fetcherOptions'];

export type ApiEmployersEmployerIdinterventionsGetCollectionPathParams = {
  /**
   * Intervention identifier
   */
  employerId: string;
};

export type ApiEmployersEmployerIdinterventionsGetCollectionQueryParams = {
  ['order[logicId]']?: 'asc' | 'desc';
  priority?: string;
  ['priority[]']?: string[];
  status?: string;
  ['status[]']?: string[];
  ['type.category']?: string;
  ['type.category[]']?: string[];
  author?: string;
  ['author[]']?: string[];
  /**
   * Filter on participants
   */
  ['participants[]']?: string[];
  ['exists[startAt]']?: boolean;
  ['exists[startedAt]']?: boolean;
  ['startAt[before]']?: string;
  ['startAt[strictly_before]']?: string;
  ['startAt[after]']?: string;
  ['startAt[strictly_after]']?: string;
  ['startedAt[before]']?: string;
  ['startedAt[strictly_before]']?: string;
  ['startedAt[after]']?: string;
  ['startedAt[strictly_after]']?: string;
  ['createdAt[before]']?: string;
  ['createdAt[strictly_before]']?: string;
  ['createdAt[after]']?: string;
  ['createdAt[strictly_after]']?: string;
  pagination?: boolean;
  itemsPerPage?: number;
  page?: number;
};

export type ApiEmployersEmployerIdinterventionsGetCollectionError = Fetcher.ErrorWrapper<undefined>;

export type ApiEmployersEmployerIdinterventionsGetCollectionVariables = {
  pathParams: ApiEmployersEmployerIdinterventionsGetCollectionPathParams;
  queryParams?: ApiEmployersEmployerIdinterventionsGetCollectionQueryParams;
} & Context['fetcherOptions'];

export type ApiEmployersEmployerIdusersGetCollectionPathParams = {
  /**
   * User identifier
   */
  employerId: string;
};

export type ApiEmployersEmployerIdusersGetCollectionQueryParams = {
  active?: boolean;
  ['active[]']?: boolean[];
  /**
   * Filter on a role
   */
  roles?: string;
  /**
   * Filter on a role
   */
  ['roles[]']?: string;
};

export type ApiEmployersEmployerIdusersGetCollectionError = Fetcher.ErrorWrapper<undefined>;

export type ApiEmployersEmployerIdusersGetCollectionResponse = Schemas.UserUserViewUserGetCollection[];

export type ApiEmployersEmployerIdusersGetCollectionVariables = {
  pathParams: ApiEmployersEmployerIdusersGetCollectionPathParams;
  queryParams?: ApiEmployersEmployerIdusersGetCollectionQueryParams;
} & Context['fetcherOptions'];

/**
 * Retrieves the collection of User resources.
 */
export const fetchApiEmployersEmployerIdusersGetCollection = (variables: ApiEmployersEmployerIdusersGetCollectionVariables, signal?: AbortSignal) =>
  fetch<
    ApiEmployersEmployerIdusersGetCollectionResponse,
    ApiEmployersEmployerIdusersGetCollectionError,
    undefined,
    {},
    ApiEmployersEmployerIdusersGetCollectionQueryParams,
    ApiEmployersEmployerIdusersGetCollectionPathParams
  >({ url: '/employers/{employerId}/users', method: 'get', ...variables, signal });

export type ApiEmployersIdGetPathParams = {
  /**
   * Employer identifier
   */
  id: string;
};

export type ApiEmployersIdGetError = Fetcher.ErrorWrapper<undefined>;

export type ApiEmployersIdGetVariables = {
  pathParams: ApiEmployersIdGetPathParams;
} & Context['fetcherOptions'];

export type ApiInterventionsPostError = Fetcher.ErrorWrapper<undefined>;

export type ApiInterventionsPostVariables = {
  body: Schemas.InterventionInterventionPost;
} & Context['fetcherOptions'];

/**
 * Creates a Intervention resource.
 */
export const fetchApiInterventionsPost = (variables: ApiInterventionsPostVariables, signal?: AbortSignal) =>
  fetch<Schemas.Intervention, ApiInterventionsPostError, Schemas.InterventionInterventionPost, {}, {}, {}>({
    url: '/interventions',
    method: 'post',
    ...variables,
    signal,
  });

/**
 * Creates a Intervention resource.
 */
export const useApiInterventionsPost = (
  options?: Omit<reactQuery.UseMutationOptions<Schemas.Intervention, ApiInterventionsPostError, ApiInterventionsPostVariables>, 'mutationFn'>
) => {
  const { fetcherOptions } = useContext();
  return reactQuery.useMutation<Schemas.Intervention, ApiInterventionsPostError, ApiInterventionsPostVariables>({
    mutationFn: (variables: ApiInterventionsPostVariables) => fetchApiInterventionsPost({ ...fetcherOptions, ...variables }),
    ...options,
  });
};

export type ApiInterventionsIdGetPathParams = {
  /**
   * Intervention identifier
   */
  id: string;
};

export type ApiInterventionsIdGetError = Fetcher.ErrorWrapper<undefined>;

export type ApiInterventionsIdGetVariables = {
  pathParams: ApiInterventionsIdGetPathParams;
} & Context['fetcherOptions'];

export type ApiInterventionsIdDeletePathParams = {
  /**
   * Intervention identifier
   */
  id: string;
};

export type ApiInterventionsIdDeleteError = Fetcher.ErrorWrapper<undefined>;

export type ApiInterventionsIdDeleteVariables = {
  pathParams: ApiInterventionsIdDeletePathParams;
} & Context['fetcherOptions'];

/**
 * Removes the Intervention resource.
 */
export const fetchApiInterventionsIdDelete = (variables: ApiInterventionsIdDeleteVariables, signal?: AbortSignal) =>
  fetch<undefined, ApiInterventionsIdDeleteError, undefined, {}, {}, ApiInterventionsIdDeletePathParams>({
    url: '/interventions/{id}',
    method: 'delete',
    ...variables,
    signal,
  });

/**
 * Removes the Intervention resource.
 */
export const useApiInterventionsIdDelete = (
  options?: Omit<reactQuery.UseMutationOptions<undefined, ApiInterventionsIdDeleteError, ApiInterventionsIdDeleteVariables>, 'mutationFn'>
) => {
  const { fetcherOptions } = useContext();
  return reactQuery.useMutation<undefined, ApiInterventionsIdDeleteError, ApiInterventionsIdDeleteVariables>({
    mutationFn: (variables: ApiInterventionsIdDeleteVariables) => fetchApiInterventionsIdDelete({ ...fetcherOptions, ...variables }),
    ...options,
  });
};

export type ApiInterventionsIdPatchPathParams = {
  /**
   * Intervention identifier
   */
  id: string;
};

export type ApiInterventionsIdPatchError = Fetcher.ErrorWrapper<undefined>;

export type ApiInterventionsIdPatchVariables = {
  pathParams: ApiInterventionsIdPatchPathParams;
} & Context['fetcherOptions'];

/**
 * Updates the Intervention resource.
 */
export const fetchApiInterventionsIdPatch = (variables: ApiInterventionsIdPatchVariables, signal?: AbortSignal) =>
  fetch<Schemas.InterventionInterventionViewInterventionGet, ApiInterventionsIdPatchError, undefined, {}, {}, ApiInterventionsIdPatchPathParams>({
    url: '/interventions/{id}',
    method: 'patch',
    ...variables,
    signal,
  });

/**
 * Updates the Intervention resource.
 */
export const useApiInterventionsIdPatch = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.InterventionInterventionViewInterventionGet,
      ApiInterventionsIdPatchError,
      ApiInterventionsIdPatchVariables
    >,
    'mutationFn'
  >
) => {
  const { fetcherOptions } = useContext();
  return reactQuery.useMutation<Schemas.InterventionInterventionViewInterventionGet, ApiInterventionsIdPatchError, ApiInterventionsIdPatchVariables>({
    mutationFn: (variables: ApiInterventionsIdPatchVariables) => fetchApiInterventionsIdPatch({ ...fetcherOptions, ...variables }),
    ...options,
  });
};

export type ApiInterventionsIdrejectPostPathParams = {
  /**
   * Intervention identifier
   */
  id: string;
};

export type ApiInterventionsIdrejectPostError = Fetcher.ErrorWrapper<undefined>;

export type ApiInterventionsIdrejectPostVariables = {
  body: Schemas.InterventionInterventionRejectionInput;
  pathParams: ApiInterventionsIdrejectPostPathParams;
} & Context['fetcherOptions'];

/**
 * Creates a Intervention resource.
 */
export const fetchApiInterventionsIdrejectPost = (variables: ApiInterventionsIdrejectPostVariables, signal?: AbortSignal) =>
  fetch<
    Schemas.Intervention,
    ApiInterventionsIdrejectPostError,
    Schemas.InterventionInterventionRejectionInput,
    {},
    {},
    ApiInterventionsIdrejectPostPathParams
  >({ url: '/interventions/{id}/reject', method: 'post', ...variables, signal });

/**
 * Creates a Intervention resource.
 */
export const useApiInterventionsIdrejectPost = (
  options?: Omit<
    reactQuery.UseMutationOptions<Schemas.Intervention, ApiInterventionsIdrejectPostError, ApiInterventionsIdrejectPostVariables>,
    'mutationFn'
  >
) => {
  const { fetcherOptions } = useContext();
  return reactQuery.useMutation<Schemas.Intervention, ApiInterventionsIdrejectPostError, ApiInterventionsIdrejectPostVariables>({
    mutationFn: (variables: ApiInterventionsIdrejectPostVariables) => fetchApiInterventionsIdrejectPost({ ...fetcherOptions, ...variables }),
    ...options,
  });
};

export type ApiLocationsGetCollectionVariables = Context['fetcherOptions'];

export type ApiMetricsGetCollectionVariables = Context['fetcherOptions'];

export type ApiMetricspageStatGetVariables = Context['fetcherOptions'];

export type ApiPicturesIdDeletePathParams = {
  /**
   * Picture identifier
   */
  id: string;
};

export type ApiPicturesIdDeleteError = Fetcher.ErrorWrapper<undefined>;

export type ApiPicturesIdDeleteVariables = {
  pathParams: ApiPicturesIdDeletePathParams;
} & Context['fetcherOptions'];

/**
 * Removes the Picture resource.
 */
export const fetchApiPicturesIdDelete = (variables: ApiPicturesIdDeleteVariables, signal?: AbortSignal) =>
  fetch<undefined, ApiPicturesIdDeleteError, undefined, {}, {}, ApiPicturesIdDeletePathParams>({
    url: '/pictures/{id}',
    method: 'delete',
    ...variables,
    signal,
  });

/**
 * Removes the Picture resource.
 */
export const useApiPicturesIdDelete = (
  options?: Omit<reactQuery.UseMutationOptions<undefined, ApiPicturesIdDeleteError, ApiPicturesIdDeleteVariables>, 'mutationFn'>
) => {
  const { fetcherOptions } = useContext();
  return reactQuery.useMutation<undefined, ApiPicturesIdDeleteError, ApiPicturesIdDeleteVariables>({
    mutationFn: (variables: ApiPicturesIdDeleteVariables) => fetchApiPicturesIdDelete({ ...fetcherOptions, ...variables }),
    ...options,
  });
};

export type ApiTypesGetCollectionError = Fetcher.ErrorWrapper<undefined>;

export type ApiTypesGetCollectionVariables = Context['fetcherOptions'];

export type ApiUsersGetCollectionQueryParams = {
  active?: boolean;
  ['active[]']?: boolean[];
  /**
   * Filter on a role
   */
  roles?: string;
  /**
   * Filter on a role
   */
  ['roles[]']?: string;
};

export type ApiUsersGetCollectionVariables = {
  queryParams?: ApiUsersGetCollectionQueryParams;
} & Context['fetcherOptions'];

export type ApiUsersPostError = Fetcher.ErrorWrapper<undefined>;

export type ApiUsersPostVariables = {
  body: Schemas.UserUserPost;
} & Context['fetcherOptions'];

/**
 * Creates a User resource.
 */
export const fetchApiUsersPost = (variables: ApiUsersPostVariables, signal?: AbortSignal) =>
  fetch<Schemas.UserUserViewUserGetCollectionUserGet, ApiUsersPostError, Schemas.UserUserPost, {}, {}, {}>({
    url: '/users',
    method: 'post',
    ...variables,
    signal,
  });

/**
 * Creates a User resource.
 */
export const useApiUsersPost = (
  options?: Omit<reactQuery.UseMutationOptions<Schemas.UserUserViewUserGetCollectionUserGet, ApiUsersPostError, ApiUsersPostVariables>, 'mutationFn'>
) => {
  const { fetcherOptions } = useContext();
  return reactQuery.useMutation<Schemas.UserUserViewUserGetCollectionUserGet, ApiUsersPostError, ApiUsersPostVariables>({
    mutationFn: (variables: ApiUsersPostVariables) => fetchApiUsersPost({ ...fetcherOptions, ...variables }),
    ...options,
  });
};

export type ApiUserPatchPathParams = {
  /**
   * User identifier
   */
  id: number;
};

export type ApiUserPatchError = Fetcher.ErrorWrapper<undefined>;

export type ApiUserPatchRequestBody = {
  /**
   * login
   */
  login?: string;
  /**
   * password
   */
  password?: string;
  /**
   * firstname
   */
  firstname?: string;
  /**
   * lastname
   */
  lastname?: string;
  /**
   * picture
   */
  picture?: string;
  /**
   * role
   */
  role?: string;
};

export type ApiUserPatchVariables = {
  body?: ApiUserPatchRequestBody;
  pathParams: ApiUserPatchPathParams;
} & Context['fetcherOptions'];

/**
 * Patches a User resource.
 */
export const fetchApiUserPatch = (variables: ApiUserPatchVariables, signal?: AbortSignal) =>
  fetch<Schemas.UserUserViewUserGet, ApiUserPatchError, ApiUserPatchRequestBody, {}, {}, ApiUserPatchPathParams>({
    url: '/users-patch/{id}',
    method: 'patch',
    ...variables,
    signal,
  });

/**
 * Patches a User resource.
 */
export const useApiUserPatch = (
  options?: Omit<reactQuery.UseMutationOptions<Schemas.UserUserViewUserGet, ApiUserPatchError, ApiUserPatchVariables>, 'mutationFn'>
) => {
  const { fetcherOptions } = useContext();
  return reactQuery.useMutation<Schemas.UserUserViewUserGet, ApiUserPatchError, ApiUserPatchVariables>({
    mutationFn: (variables: ApiUserPatchVariables) => fetchApiUserPatch({ ...fetcherOptions, ...variables }),
    ...options,
  });
};

export type ApiUsersIdGetPathParams = {
  /**
   * User identifier
   */
  id: string;
};

export type ApiUsersIdGetError = Fetcher.ErrorWrapper<undefined>;

export type ApiUsersIdGetVariables = {
  pathParams: ApiUsersIdGetPathParams;
} & Context['fetcherOptions'];

export type ApiUsersIdDeletePathParams = {
  /**
   * User identifier
   */
  id: string;
};

export type ApiUsersIdDeleteError = Fetcher.ErrorWrapper<undefined>;

export type ApiUsersIdDeleteVariables = {
  pathParams: ApiUsersIdDeletePathParams;
} & Context['fetcherOptions'];

/**
 * Removes the User resource.
 */
export const fetchApiUsersIdDelete = (variables: ApiUsersIdDeleteVariables, signal?: AbortSignal) =>
  fetch<undefined, ApiUsersIdDeleteError, undefined, {}, {}, ApiUsersIdDeletePathParams>({
    url: '/users/{id}',
    method: 'delete',
    ...variables,
    signal,
  });

/**
 * Removes the User resource.
 */
export const useApiUsersIdDelete = (
  options?: Omit<reactQuery.UseMutationOptions<undefined, ApiUsersIdDeleteError, ApiUsersIdDeleteVariables>, 'mutationFn'>
) => {
  const { fetcherOptions } = useContext();
  return reactQuery.useMutation<undefined, ApiUsersIdDeleteError, ApiUsersIdDeleteVariables>({
    mutationFn: (variables: ApiUsersIdDeleteVariables) => fetchApiUsersIdDelete({ ...fetcherOptions, ...variables }),
    ...options,
  });
};

export type ApiUsersUserIdinterventionsGetCollectionPathParams = {
  /**
   * Intervention identifier
   */
  userId: string;
};

export type ApiUsersUserIdinterventionsGetCollectionQueryParams = {
  ['order[logicId]']?: 'asc' | 'desc';
  priority?: string;
  ['priority[]']?: string[];
  status?: string;
  ['status[]']?: string[];
  ['type.category']?: string;
  ['type.category[]']?: string[];
  author?: string;
  ['author[]']?: string[];
  /**
   * Filter on participants
   */
  ['participants[]']?: string[];
  ['exists[startAt]']?: boolean;
  ['startAt[before]']?: string;
  ['startAt[strictly_before]']?: string;
  ['startAt[after]']?: string;
  ['startAt[strictly_after]']?: string;
};

export type ApiUsersUserIdinterventionsGetCollectionVariables = {
  pathParams: ApiUsersUserIdinterventionsGetCollectionPathParams;
  queryParams?: ApiUsersUserIdinterventionsGetCollectionQueryParams;
} & Context['fetcherOptions'];

export type QueryOperation =
  | {
      path: '/categories';
      operationId: 'apiCategoriesGetCollection';
      variables: ApiCategoriesGetCollectionVariables;
    }
  | {
      path: '/employers';
      operationId: 'apiEmployersGetCollection';
      variables: ApiEmployersGetCollectionVariables;
    }
  | {
      path: '/employers/{employerId}/active-agents';
      operationId: 'apiEmployersEmployerIdactiveAgentsGetCollection';
      variables: ApiEmployersEmployerIdactiveAgentsGetCollectionVariables;
    }
  | {
      path: '/employers/{employerId}/dashboard-metrics';
      operationId: 'apiDashboardMetricsGet';
      variables: ApiDashboardMetricsGetVariables;
    }
  | {
      path: '/employers/{employerId}/interventions';
      operationId: 'apiEmployersEmployerIdinterventionsGetCollection';
      variables: ApiEmployersEmployerIdinterventionsGetCollectionVariables;
    }
  | {
      path: '/employers/{employerId}/users';
      operationId: 'apiEmployersEmployerIdusersGetCollection';
      variables: ApiEmployersEmployerIdusersGetCollectionVariables;
    }
  | {
      path: '/employers/{id}';
      operationId: 'apiEmployersIdGet';
      variables: ApiEmployersIdGetVariables;
    }
  | {
      path: '/interventions/{id}';
      operationId: 'apiInterventionsIdGet';
      variables: ApiInterventionsIdGetVariables;
    }
  | {
      path: '/locations';
      operationId: 'apiLocationsGetCollection';
      variables: ApiLocationsGetCollectionVariables;
    }
  | {
      path: '/metrics';
      operationId: 'apiMetricsGetCollection';
      variables: ApiMetricsGetCollectionVariables;
    }
  | {
      path: '/metrics/page-stat';
      operationId: 'apiMetricspageStatGet';
      variables: ApiMetricspageStatGetVariables;
    }
  | {
      path: '/types';
      operationId: 'apiTypesGetCollection';
      variables: ApiTypesGetCollectionVariables;
    }
  | {
      path: '/users';
      operationId: 'apiUsersGetCollection';
      variables: ApiUsersGetCollectionVariables;
    }
  | {
      path: '/users/{id}';
      operationId: 'apiUsersIdGet';
      variables: ApiUsersIdGetVariables;
    }
  | {
      path: '/users/{userId}/interventions';
      operationId: 'apiUsersUserIdinterventionsGetCollection';
      variables: ApiUsersUserIdinterventionsGetCollectionVariables;
    };
